Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.sitraka.bytecode
Interface ClassPathLoader.FileLoader

Enclosing interface:
  ClassPathLoader

public static interface ClassPathLoader.FileLoader

the interface to implement to look up for specific resources

Method Summary
`ClassFile[]` | `getClasses()` return the set of classes found in the file
`java.io.File` | `getFile()` the file url that is looked for .class files

Method Detail

### getFile

    public java.io.File getFile()

  the file url that is looked for .class files

### getClasses

    public ClassFile[] getClasses()
                           throws java.io.IOException

  return the set of classes found in the file

    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.